Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.core
Class FacesPage

    java.lang.Object
      org.jboss.seam.core.FacesPage

All Implemented Interfaces:
  Serializable

    @Name(value="org.jboss.seam.core.facesPage")
    @Intercept(value=NEVER)
    @Install(precedence=0)
    @Scope(value=PAGE)
    public class FacesPage

extends Object
implements Serializable

Book-keeping component that persists information about the conversation associated with the current page.

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`FacesPage()`

Method Summary
`void` | `discardNestedConversation(String outerConversationId)`
`void` | `discardTemporaryConversation()`
`String` | `getConversationId()`
`Integer` | `getPageflowCounter()`
`String` | `getPageflowName()`
`String` | `getPageflowNodeName()`
`static FacesPage` | `instance()`
`boolean` | `isConversationLongRunning()`
`void` | `storeConversation()`
`void` | `storeConversation(String conversationId)`
`void` | `storePageflow()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FacesPage

    public FacesPage()

Method Detail

### getConversationId

    public String getConversationId()

### discardTemporaryConversation

    public void discardTemporaryConversation()

### discardNestedConversation

    public void discardNestedConversation(String outerConversationId)

### storeConversation

    public void storeConversation(String conversationId)

### storePageflow

    public void storePageflow()

### instance

    public static FacesPage instance()

### isConversationLongRunning

    public boolean isConversationLongRunning()

### getPageflowCounter

    public Integer getPageflowCounter()

### getPageflowName

    public String getPageflowName()

### getPageflowNodeName

    public String getPageflowNodeName()

### storeConversation

    public void storeConversation()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD